import java.io.StringWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Collection;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.Velocity;

public class ProductList {

    public static void main(String[] args) throws Exception {
        Velocity.init();
        
        Template t = Velocity.getTemplate("./src/model.vm");
        
        VelocityContext ctx = new VelocityContext();
       
        Collection products = new ArrayList();
        products.add(new Product("Product 1", 142.919));
        products.add(new Product("Product 2", 133.199));
        products.add(new Product("Product 3", 112.991));

        ProductListModel model = new ProductListModel(products);
        ctx.put("model", model);
        
        Writer writer = new StringWriter();
        t.merge(ctx, writer);
        
        System.out.println(writer);
    }
}
